Bug 229850 - sysutils/catfish: Update to 1.4.6
Summary: sysutils/catfish: Update to 1.4.6
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Ben Woods
URL: https://docs.xfce.org/apps/catfish/start
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-17 23:01 UTC by Ben Woods
Modified: 2018-07-19 22:37 UTC (History)
2 users (show)

See Also:
woodsb02: maintainer-feedback+


Attachments
Patch to update sysutils/catfish to 1.4.6 (1.59 KB, patch)
2018-07-17 23:13 UTC, Ben Woods
no flags Details | Diff
Patch to update sysutils/catfish to 1.4.6 (version 2) (6.81 KB, patch)
2018-07-18 23:00 UTC, Ben Woods
woodsb02: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2018-07-17 23:01:40 UTC
sysutils/catfish: Update to 1.4.6

- Also update WWW now that catfish is part of Xfce

Changes this release:
  https://mail.xfce.org/pipermail/xfce-announce/2018-July/000626.html
Comment 1 Ben Woods freebsd_committer 2018-07-17 23:13:04 UTC
Created attachment 195223 [details]
Patch to update sysutils/catfish to 1.4.6

Also update maintainer to handover to xfce@ group
Comment 2 Ben Woods freebsd_committer 2018-07-17 23:13:53 UTC
Note that build testing of this patch is still in progress.
Comment 3 Josh Paetzel freebsd_committer 2018-07-18 21:08:14 UTC
Any results from the build yet?
Comment 4 Ben Woods freebsd_committer 2018-07-18 23:00:32 UTC
Created attachment 195264 [details]
Patch to update sysutils/catfish to 1.4.6 (version 2)

Updated patch to fix build:
- Fix pkg-plist
- Add USES=desktop-file-utils (Pet portlint)
- Add optional (on by default) support for providing recent search suggestions using Zeitgeist
Comment 5 Ben Woods freebsd_committer 2018-07-18 23:08:55 UTC
This now passes poudriere testport on 12amd64, and should be ready to commit.
Comment 6 Josh Paetzel freebsd_committer 2018-07-19 16:20:14 UTC
I can confirm it builds against FreeBSD 12.  I have poudriere trying it on 11.2 and 10.4 as well.  As soon as it passes there I'll give this patch my blessing.
Comment 7 Josh Paetzel freebsd_committer 2018-07-19 17:31:22 UTC
I can confirm it builds against FreeBSD 12.  I have poudriere trying it on 11.2 and 10.4 as well.  As soon as it passes there I'll give this patch my blessing.
Comment 8 Josh Paetzel freebsd_committer 2018-07-19 19:17:24 UTC
ok, 11.2 and 10.4 passed as well.

I approve the patch.
Comment 9 Ben Woods freebsd_committer 2018-07-19 22:37:04 UTC
Committed - thanks!
Comment 10 commit-hook freebsd_committer 2018-07-19 22:37:24 UTC
A commit references this bug:

Author: woodsb02
Date: Thu Jul 19 22:36:39 UTC 2018
New revision: 474983
URL: https://svnweb.freebsd.org/changeset/ports/474983

Log:
  sysutils/catfish: Update to 1.4.6

  - Also update WWW now that catfish is part of the Xfce project
  - Set maintainer to xfce@ now that catfish is part of the Xfce project

  Changes this release:
    https://mail.xfce.org/pipermail/xfce-announce/2018-July/000626.html

  PR:		229850
  Approved by:	jpaetzel (maintainer)

Changes:
  head/sysutils/catfish/Makefile
  head/sysutils/catfish/distinfo
  head/sysutils/catfish/pkg-descr
  head/sysutils/catfish/pkg-plist